<div class="mdc-menu-surface--anchor">
    <button id="{{ id }}_menu_button" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-primary p-0">
        <div class="mdc-icon-button__ripple"></div>
        more_vert
    </button>
    <div id="{{ id }}_mdc_menu" class="mdc-menu mdc-menu-surface mdc-menu-surface--fixed">
        <ul class="mdc-list" role="menu" aria-hidden="true" aria-orientation="vertical" tabindex="-1">
            {% for listItem in listItems %}
                <li class="mdc-list-item py-2" role="menuitem" data-url="{{ listItem.url }}" {% if listItem.target is defined %}data-target="{{ listItem.target }}"{% endif %}>
                    <span class="mdc-list-item__ripple"></span>
                    <span class="mdc-list-item__text text-nowrap d-flex align-items-center">
                        <i class="material-icons mdc-list-item__graphic me-2" aria-hidden="true">{{ listItem.icon }}</i>
                        {{ listItem.label }}
                    </span>
                </li>
            {% endfor %}
        </ul>
    </div>
</div>
